
#ifndef _DIALOG_H
#define _DIALOG_H

#include <gnophone.h>
#include <gtk/gtk.h>
#include <gdk_imlib.h>
#include <gdk/gdkkeysyms.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>                                                   
#include <sys/signal.h>


static struct peerwindow {
	GtkWidget *image;
	GtkWidget *button;
	GtkWidget *level;
	GtkWidget *volume;
	GtkWidget *frame;
	GtkWidget *frame2;
	GtkWidget *label;
	GtkWidget *outerbox;
	GtkWidget *box;
	GtkWidget *status;
	GtkWidget *hangup;
	GtkWidget *answer;
	GtkWidget *hold;
	GtkWidget *conf;
	GtkWidget *direct;
	GtkWidget *sendimage;
	GtkWidget *linked;
	GtkWidget *lagmeter;
	GtkWidget *textmsg;
	
	/* Image to fade from */
	GdkImlibImage *fade;
	GdkImlibImage *orig;

	/* How much we've faded */
	int fadelevel;
	int holdid;
	int lagfd;
	float history;
	float blah;
	int laglock;
	char cid[80];

	struct sockaddr_in addr;

	int mute;
	int conference;

	int xoff;
	int yoff;
	int moving;

	/* Phonecore ID */
	int pcid;
	struct peerwindow *next;
} *self;


static struct peerwindow *peers;
static struct peerwindow *current_peer;
static struct peerwindow *most_recent_answer;
static struct peerwindow *urlpeer;

extern struct peerwindow *find_peerwindow(int);
#endif

